<?php

/**
 * Welcome Notice class.
 */
class Lawyer_Consultant_Welcome_Notice {

	/**
	** Constructor.
	*/
	public function __construct() {
		// Render Notice
		add_action( 'admin_notices', [$this, 'lawyer_consultant_render_notice'] );

		// Enque AJAX Script
		add_action( 'admin_enqueue_scripts', [$this, 'lawyer_consultant_admin_enqueue_scripts'], 5 );

		// Dismiss
		add_action( 'admin_enqueue_scripts', [$this, 'lawyer_consultant_notice_enqueue_scripts'], 5 );
		add_action( 'wp_ajax_lawyer_consultant_dismissed_handler', [$this, 'lawyer_consultant_dismissed_handler'] );

		// Reset
		add_action( 'switch_theme', [$this, 'lawyer_consultant_reset_notices'] );
		add_action( 'after_switch_theme', [$this, 'lawyer_consultant_reset_notices'] );

	}

	/**
	** Render Notice
	*/
	public function lawyer_consultant_render_notice() {
	global $pagenow;

	$lawyer_consultant_screen = get_current_screen();

	if (
		$lawyer_consultant_screen &&
		$lawyer_consultant_screen->id !== 'appearance_page_lawyer-consultant-theme-info' &&
		$lawyer_consultant_screen->id !== 'appearance_page_lawyer-consultant-demo'
	) {
		$lawyer_consultant_transient_name = sprintf('%s_activation_notice', get_template());

		if ( ! get_transient($lawyer_consultant_transient_name) ) {
			?>
			<div class="lawyer-consultant-notice notice notice-info is-dismissible" data-notice="<?php echo esc_attr($lawyer_consultant_transient_name); ?>">
				<button type="button" class="notice-dismiss"></button>

				<?php $this->lawyer_consultant_render_notice_content(); ?>
			</div>
			<?php
		}
	}
}


	/**
	** Render Notice Content
	*/
	public function lawyer_consultant_render_notice_content() {
		$lawyer_consultant_action = 'install-activate';
		$lawyer_consultant_redirect_url = 'admin.php?page=lawyer-consultant-theme-info';
		$lawyer_consultant_demo_redirect_url = 'themes.php?page=lawyer-consultant-demo';
		$lawyer_consultant_screen = get_current_screen();

		?>
		<div class="notice-left-icon-box">
			<span class="dashicons dashicons-businessperson notc-theme-icon"></span>
		</div>
		<div class="welcome-message">
			<div class="notc-contnt">
				<h4><?php esc_html_e('Thank you for installing Legacy Themes!', 'lawyer-consultant'); ?></h4>
				<h1><?php esc_html_e('Welcome to Lawyer Consultant WordPress Theme!', 'lawyer-consultant'); ?></h1>
				<p><?php esc_html_e( 'Our WordPress themes are modern, minimalist, fully responsive, SEO-friendly, and packed with features—perfect for designers, bloggers, and creative professionals across various fields.', 'lawyer-consultant' );?>
				</p>			
				<div class="action-buttons">
					<a href="<?php echo esc_url(admin_url($lawyer_consultant_redirect_url)); ?>" class="button notice-btn button-hero" data-action="<?php echo esc_attr($lawyer_consultant_action); ?>">
						<span class="notc-btn-txt"><?php echo esc_html__( 'Get Started with Lawyer Consultant', 'lawyer-consultant' ); ?></span>
					</a>
					<a href="<?php echo esc_url(admin_url($lawyer_consultant_demo_redirect_url)); ?>" class="demo-btn btn" >
						<span class="demo-btn-txt"><?php echo esc_html__( 'Demo Import', 'lawyer-consultant' ); ?></span>
					</a>
					<a href="<?php echo esc_url(LAWYER_CONSULTANT_THEME_BUNDLE_URL); ?>" target="_blank" class="bundle-btn btn" >
						<span class="demo-btn-txt"><?php echo esc_html__( 'Get All Themes', 'lawyer-consultant' ); ?></span>
					</a>
				</div>
			</div>			
		</div>
		<div class="notice-right-img-box">
			<img class="notc-right-img" src="<?php echo esc_url( get_template_directory_uri() . '/inc/activation-notice/img/notice-right.png' ); ?>" alt="<?php esc_attr_e( 'notice themes img', 'lawyer-consultant' ); ?>" />
		</div>

		<?php
	}

	/**
	** Reset Notice.
	*/
	public function lawyer_consultant_reset_notices() {
		delete_transient( sprintf( '%s_activation_notice', get_template() ) );
	}

	/**
	** Dismissed handler
	*/
	public function lawyer_consultant_dismissed_handler() {
		wp_verify_nonce( null );

		if ( isset( $_POST['notice'] ) ) {
			set_transient( sanitize_text_field( wp_unslash( $_POST['notice'] ) ), true, 0 );
		}
	}

	/**
	** Notice Enqunue Scripts
	*/
	public function lawyer_consultant_notice_enqueue_scripts( $page ) {
		
		wp_enqueue_script( 'jquery' );

		ob_start();
		?>
		<script>
			jQuery(function($) {
				$( document ).on( 'click', '.lawyer-consultant-notice .notice-dismiss', function () {
					jQuery.post( 'ajax_url', {
						action: 'lawyer_consultant_dismissed_handler',
						notice: $( this ).closest( '.lawyer-consultant-notice' ).data( 'notice' ),
					});
					$( '.lawyer-consultant-notice' ).hide();
				} );
			});
		</script>
		<?php
		$script = str_replace( 'ajax_url', admin_url( 'admin-ajax.php' ), ob_get_clean() );

		wp_add_inline_script( 'jquery', str_replace( ['<script>', '</script>'], '', $script ) );
	}

	/**
	** Register scripts and styles for welcome notice.
	*/
	public function lawyer_consultant_admin_enqueue_scripts( $page ) {
		// Enqueue Styles.
		wp_enqueue_style( 'lawyer-consultant-welcome-notic-css', get_template_directory_uri() . '/inc/activation-notice/css/notice-bar.css' );
	}

}

new Lawyer_Consultant_Welcome_Notice();